/*------------------------------------------------------------
 * WPML
 *------------------------------------------------------------*/

.widget_icl_lang_sel_widget {
	overflow: visible !important;
	z-index: 3;
	position: relative;
}



img.iclflag {

	.menu-item-language &,
	#lang_sel &,
	#lang_sel_click & {
		margin-right: 7px;
		vertical-align: baseline;
	}
}

.theme-hygge {

	#lang_sel,
	#lang_sel_click {
		text-align: left;
		.label;
		line-height: initial !important;;
		text-transform: none !important;
		letter-spacing: 0 !important;;
		width: 100%;

		a {
			padding-left: 0;
			border: none;
			height: 32px;
			line-height: 32px;
			padding: 0 0 0 15px;
			.rounded;
			font-size: inherit;

			&.lang_sel_sel {
				position: relative;
				background: @grey-pale;
				color: @black;

				&:after {
					content: "\e874";
					font-family: 'Hygge-Icons';
					speak: none;
					font-style: normal;
					font-weight: normal;
					font-variant: normal;
					text-transform: none;
					line-height: 1;
					margin-left: 5px;
					position: absolute;
					top: 50%;
					right: 0.8em;
					margin-top: -0.4em;
					font-size: 0.8em;
				}
			}
		}

		ul ul {
			top: 32px;
			width: 100%;
			border-top: none;

			a {
				height: 32px;
				line-height: 32px;
				padding: 0 15px;
				border:none;
				background: @grey-pale;
				color: @black;

				&:hover {
					background: @black;
					color: @white;
				}
			}

			li:last-child {
				a {
					.border-radius( 0 0 3px 3px );
				}
			}
		}
	}



	#lang_sel_list {

		&.lang_sel_list_vertical,
		&.lang_sel_list_horizontal {

			height: auto;
			overflow: hidden;

			ul {
				height: auto;
				top: 0;
				border-top: none;
			}

			li {
				float: none;

				&:first-child a { .border-radius( 3px 3px 0 0 ); }
				&:last-child a { .border-radius( 0 0 3px 3px ); }
			}

			a {
				padding: 0 15px;
				height: 32px;
				line-height: 32px;
				border:none;
				background: @white;
				color: @black;

				&:hover,
				&.lang_sel_sel {
					background: @grey-pale;
					color: @black;
				}
			}
		}
	}



	.header,
	.widgets--center--true {
		#lang_sel,
		#lang_sel_click,
		#lang_sel_list {
			margin-left: auto;
			margin-right: auto;

			li {
				float: none;
				margin-left: auto;
				margin-right: auto;
			}
		}
	}
}




/* Dark Mode
 *------------------------------------------------------------*/

.theme-hygge .dark-mode #lang_sel,
.theme-hygge .dark-mode #lang_sel_click {

	a {
		&.lang_sel_sel {
			background: @black;
			color: @white;
		}
	}

	ul ul {
		a {
			background: @black;
			color: @white;

			&:hover,
			&.lang_sel_sel {
				background: @white;
				color: @black;
			}
		}
	}
}

.theme-hygge .dark-mode #lang_sel_list.lang_sel_list_vertical,
.theme-hygge .dark-mode #lang_sel_list.lang_sel_list_horizontal {
	a {
		background: @black;
		color: @white;

		&:hover,
		&.lang_sel_sel {
			background: @white;
			color: @black;
		}
	}
}
